Subject: Re: `git stash pop` UX Problem

From: Omar Othman <[email-masked]>
Date: Wed, 26 Feb 2014 08:34:20 +0100

> Am 24.02.2014 17:21, schrieb Matthieu Moy:
>> $ git add foo.txt
>> $ git status
>> On branch master
>> Changes to be committed:
>>    (use "git reset HEAD <file>..." to unstage)
>>
>>          modified:   foo.txt
>
> Maybe status should display a stash count if that count is > 0, as 
> this is part of the state of the repo.
>
> $ git status
> On branch master
> Stashes: 1                         <----------
> Changes to be committed:
>     (use "git reset HEAD <file>..." to unstage)
>
>           modified:   foo.txt
>
> It would be in Omars example case a clear message that git kept the 
> stash. And generally a reminder that there is still a stash around 
> that might or might not be obsolete.
Again, the same comment: If there is a way to customize git's messages 
by turning them on/off (or, even cooler, the ability to change their 
wording) then this is also a nice option to have and we can turn it off 
by default if we find that most people (here at least) don't like it. I 
don't know whether you guys have discussed this option before (or does 
it exist? I doubt, but I don't know), because having such an option (the 
ability to turn messages on/off or change their wording and what 
internal status information they manifest) will really resolve all kinds 
of such potential conflicts of preferences. Even cooler, people will be 
able to change the wording to their native languages for example.